# synfig::Waypoint::Model Class Reference

`#include <waypoint.h>`

List of all members.

## Public Member Functions

| Model ()
Interpolation | get_before () const
void | set_before (Interpolation x)
Interpolation | get_after () const
void | set_after (Interpolation x)
const Real & | get_tension () const
void | set_tension (const Real &x)
const Real & | get_continuity () const
void | set_continuity (const Real &x)
const Real & | get_bias () const
void | set_bias (const Real &x)
const Real & | get_temporal_tension () const
void | set_temporal_tension (const Real &x)
int | get_priority () const
void | set_priority (int x)
void | reset ()
bool | is_trivial () const

## Friends

class | Waypoint

## Constructor & Destructor Documentation

synfig::Waypoint::Model::Model | ( |  | ) | `[inline]`

## Member Function Documentation

Interpolation synfig::Waypoint::Model::get_before | ( |  | ) | const`[inline]`

Referenced by synfig::Waypoint::apply_model().

void synfig::Waypoint::Model::set_before | ( | Interpolation | x | ) | `[inline]`

Interpolation synfig::Waypoint::Model::get_after | ( |  | ) | const`[inline]`

Referenced by synfig::Waypoint::apply_model().

void synfig::Waypoint::Model::set_after | ( | Interpolation | x | ) | `[inline]`

const Real& synfig::Waypoint::Model::get_tension | ( |  | ) | const`[inline]`

Referenced by synfig::Waypoint::apply_model().

void synfig::Waypoint::Model::set_tension | ( | const Real & | x | ) | `[inline]`

const Real& synfig::Waypoint::Model::get_continuity | ( |  | ) | const`[inline]`

Referenced by synfig::Waypoint::apply_model().

void synfig::Waypoint::Model::set_continuity | ( | const Real & | x | ) | `[inline]`

const Real& synfig::Waypoint::Model::get_bias | ( |  | ) | const`[inline]`

Referenced by synfig::Waypoint::apply_model().

void synfig::Waypoint::Model::set_bias | ( | const Real & | x | ) | `[inline]`

const Real& synfig::Waypoint::Model::get_temporal_tension | ( |  | ) | const`[inline]`

Referenced by synfig::Waypoint::apply_model().

void synfig::Waypoint::Model::set_temporal_tension | ( | const Real & | x | ) | `[inline]`

int synfig::Waypoint::Model::get_priority | ( |  | ) | const`[inline]`

Referenced by synfig::Waypoint::apply_model().

void synfig::Waypoint::Model::set_priority | ( | int | x | ) | `[inline]`

void synfig::Waypoint::Model::reset | ( |  | ) | `[inline]`

bool synfig::Waypoint::Model::is_trivial | ( |  | ) | const`[inline]`

## Friends And Related Function Documentation

friend class Waypoint `[friend]`

The documentation for this class was generated from the following file:

- waypoint.h